    One-dimensional beta model function.

beta1d

The beta model is a Lorentz model with a varying power law.

>>> create_model_component("beta1d", "mdl")
>>> print(mdl)

Create a component of the beta1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.r0 thawed 1 1.17549e-38 3.40282e+38 mdl.beta thawed 1 1e-05 10 mdl.xpos frozen 0 0 3.40282e+38 mdl.ampl thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
r0
The core radius.
beta
This parameter controls the slope of the profile at large radii.
xpos
The reference point of the profile. This is frozen by default.
ampl
The amplitude refers to the maximum value of the model, at x = xpos.

Notes

The functional form of the model for points is:

f(x) = ampl * (1 + ((x - xpos) / r0)^2)^(0.5 - 3 * beta)

The grid version is evaluated by numerically intgerating the function over each bin using a non-adaptive Gauss-Kronrod scheme suited for smooth functions [1] , falling over to a simple trapezoid scheme if this fails.

References

[1] https://www.gnu.org/software/gsl/manual/html_node/QNG-non_002dadaptive-Gauss_002dKronrod-integration.html

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023